
root='test_MC'
outdir=plots
ntest=17

# get ignored_portion parameter
ignored=`awk '($1=="ignored_portion") {gsub(",",""); print $3}' $root.txt`
# get number of subdivisions of circumference
ndiv=`sddsprintout $root-001.out -parameters=VariableDimension | awk '($1=="VariableDimension") {print $3}' `

# summarize info about losses by TSCATTER element
if [ -f "summaryA.txt" ]; then
  rm summaryA.txt
fi
touch summaryA.txt

ib=1
while (( ib<$(($ntest+1)) )) ; do
    if (( ib<1000 )) ; then
	ibstring=$(printf "%03d" $ib)
    else
	ibstring=$ib
    fi
    sddsprintout $root'-'$ibstring'.los' -parameters='(NScatter,TotalLoss)' \
	| grep '=' >> summaryA.txt
    ib=$((ib+1))
done

awk '{printf "%.7e %.7e %.7e\n", $4, $8, $8+$4*('$ignored')}' summaryA.txt > summary.txt

awk '{totscat+= $1; totloss+=$2; maxloss+=$3} END {printf "%.7e %.7e %.7e %7g %7i\n", totscat, totloss, maxloss, '$ignored', '$ndiv'}' summary.txt > summaryT.txt

cat summaryT.txt

minloss=`awk '{print $2}' summaryT.txt`
maxloss=`awk '{print $3}' summaryT.txt`

if [ ! -d $outdir ]; then
   mkdir $outdir
fi
cp $root-*.out $outdir
cp ploteachsec.py plotloss.py $outdir
cp summaryT.txt $outdir

cd $outdir

ib=1
while (( ib<$(($ntest+1)) )) ; do
    if (( ib<1000 )) ; then
	ibstring=$(printf "%03d" $ib)
    else
	ibstring=$ib
    fi
    sddsconvert -ascii $root-$ibstring.out $root-$ibstring.txt
    ib=$((ib+1))
done

python plotloss.py

python ploteachsec.py

cp ./*.pdf ./finalresult.txt ./calculations.txt ..

cd ..
